## roboptim-core 2.0

=== CMakeLists.txt ===
# Copyright 2010, Thomas Moulard, LAAS-CNRS
#
# This file is part of roboptim-core.
# roboptim-core is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# roboptim-core is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Lesser Public License for more details.
# You should have received a copy of the GNU Lesser General Public License
# along with roboptim-core.  If not, see <http://www.gnu.org/licenses/>.

# Requires at least CMake 2.6 to configure the package.
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

INCLUDE(cmake/base.cmake)
INCLUDE(cmake/boost.cmake)
INCLUDE(cmake/lapack.cmake)
INCLUDE(cmake/cpack.cmake)
INCLUDE(cmake/eigen.cmake)

SET(PROJECT_NAME roboptim-core)
SET(PROJECT_DESCRIPTION "RobOptim Core")
SET(PROJECT_URL "http://github.com/roboptim/roboptim-core")

SET(HEADERS
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/result.hh
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/identity-function.hh
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/solver-factory.hxx
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/problem.hxx
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/util.hxx
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/n-times-derivable-function.hh
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/solver.hxx
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/sys.hh
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/function.hh
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/portability.hh
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/parametrized-function.hxx
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/numeric-quadratic-function.hh
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/io.hh
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/solver-error.hh
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/linear-function.hh
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/linear-function.hxx
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/twice-derivable-function.hh
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/twice-differentiable-function.hh
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/twice-differentiable-function.hxx
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/indent.hh
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/constant-function.hh
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/generic-solver.hh
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/fwd.hh
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/problem.hh
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/derivative-size.hh
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/plugin/dummy.hh
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/plugin/dummy-laststate.hh
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/debug.hh
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/solver-factory.hh
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/derivable-function.hh
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/differentiable-function.hh
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/differentiable-function.hxx
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/finite-difference-gradient.hxx
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/finite-difference-gradient.hh
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/solver-warning.hh
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/numeric-linear-function.hh
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/numeric-linear-function.hxx
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/n-times-derivable-function.hxx
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/terminal-color.hh
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/visualization/gnuplot-function.hh
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/visualization/gnuplot-differentiable-function.hh
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/visualization/fwd.hh
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/visualization/gnuplot.hh
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/visualization/gnuplot-commands.hh
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/solver.hh
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/sum-of-c1-squares.hh
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/result-with-warnings.hh
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/parametrized-function.hh
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/quadratic-function.hh
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/quadratic-function.hxx
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/derivable-parametrized-function.hh
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/filter/split.hh
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/filter/cached-function.hxx
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/filter/split.hxx
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/filter/cached-function.hh
  ${CMAKE_SOURCE_DIR}/include/roboptim/core/util.hh
  ${CMAKE_SOURCE_DIR}/include/roboptim/core.hh
  )

SETUP_PROJECT()

# Add extra keys to pkg-config file to export the location of the
# plug-in directory in a robust manner.
SET(PKG_CONFIG_EXTRA "plugindir=${CMAKE_INSTALL_PREFIX}/lib/roboptim-core")

# Add main library to pkg-config file.
PKG_CONFIG_APPEND_LIBS(roboptim-core)

# Search for dependencies.
SEARCH_FOR_BOOST()
ADD_REQUIRED_DEPENDENCY("eigen3 >= 3.1.0")
ADD_REQUIRED_DEPENDENCY("liblog4cxx >= 0.10.0")

# Libtool dynamic loading
# This project does not use Libtool directly but still uses ltdl for
# plug-in loading.
INCLUDE(CheckIncludeFileCXX)
CHECK_INCLUDE_FILE_CXX(ltdl.h LTDL_H_FOUND)
IF (NOT LTDL_H_FOUND)
  MESSAGE(FATAL_ERROR
    "Failed to find ltdl.h, check that Libtool ltdl is installed.")
ENDIF()
#FIXME: check that libltdl.so is available instead of adding it blindly.
PKG_CONFIG_APPEND_LIBS(ltdl)

HEADER_INSTALL("${HEADERS}")

ADD_SUBDIRECTORY(src)
ADD_SUBDIRECTORY(tests)

SETUP_PROJECT_FINALIZE()
SETUP_PROJECT_CPACK()

=== src/CMakeLists.txt ===
# Copyright 2010, Thomas Moulard, LAAS-CNRS
#
# This file is part of roboptim-core.
# roboptim-core is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# roboptim-core is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Lesser Public License for more details.
# You should have received a copy of the GNU Lesser General Public License
# along with roboptim-core.  If not, see <http://www.gnu.org/licenses/>.

# Add Boost path to include directories.
INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIRS})

# Define the directory where plug-ins will be installed.
SET(PLUGINDIR ${CMAKE_INSTALL_LIBDIR}/${PROJECT_NAME})

# Main library.
ADD_LIBRARY(roboptim-core SHARED
  ${HEADERS}
  constant-function.cc
  debug.hh
  doc.hh
  finite-difference-gradient.cc
  generic-solver.cc
  identity-function.cc
  indent.cc
  numeric-quadratic-function.cc
  result.cc
  result-with-warnings.cc
  solver.cc
  solver-error.cc
  solver-warning.cc
  sum-of-c1-squares.cc
  util.cc

  visualization/gnuplot.cc
  visualization/gnuplot-commands.cc
  )

PKG_CONFIG_USE_DEPENDENCY(roboptim-core eigen3)
PKG_CONFIG_USE_DEPENDENCY(roboptim-core liblog4cxx)

TARGET_LINK_LIBRARIES(roboptim-core ltdl)
SET_TARGET_PROPERTIES(roboptim-core PROPERTIES SOVERSION 2.0.0)
INSTALL(TARGETS roboptim-core DESTINATION ${CMAKE_INSTALL_LIBDIR})


# Dummy plug-in.
ADD_LIBRARY(roboptim-core-plugin-dummy MODULE dummy.cc)
ADD_DEPENDENCIES(roboptim-core-plugin-dummy roboptim-core)
TARGET_LINK_LIBRARIES(roboptim-core-plugin-dummy roboptim-core)
SET_TARGET_PROPERTIES(roboptim-core-plugin-dummy PROPERTIES
  PREFIX ""
  SOVERSION 2.0.0)
INSTALL(TARGETS roboptim-core-plugin-dummy DESTINATION ${PLUGINDIR})

# Dummy-laststate plug-in.
ADD_LIBRARY(roboptim-core-plugin-dummy-laststate MODULE dummy-laststate.cc)
ADD_DEPENDENCIES(roboptim-core-plugin-dummy-laststate roboptim-core)
TARGET_LINK_LIBRARIES(roboptim-core-plugin-dummy-laststate roboptim-core)
SET_TARGET_PROPERTIES(roboptim-core-plugin-dummy-laststate PROPERTIES
  PREFIX ""
  SOVERSION 2.0.0)
INSTALL(TARGETS roboptim-core-plugin-dummy-laststate DESTINATION ${PLUGINDIR})

=== tests/CMakeLists.txt ===
# Copyright 2010, Thomas Moulard, LAAS-CNRS
#
# This file is part of roboptim-core.
# roboptim-core is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# roboptim-core is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Lesser Public License for more details.
# You should have received a copy of the GNU Lesser General Public License
# along with roboptim-core.  If not, see <http://www.gnu.org/licenses/>.

# Declare the CHECK_PREFIX option.
# It allows the user to instrument the test suite easily to make it run
# through Valgrind for instance.
SET(CHECK_PREFIX "" CACHE STRING "Shell prefix used when running tests")

# Make sure local headers are found
INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR}/tests)


# Add Boost path to include directories.
INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIRS})

# Make Boost.Test generates the main function in test cases.
ADD_DEFINITIONS(-DBOOST_TEST_DYN_LINK -DBOOST_TEST_MAIN)

# To locate built plug-in.
ADD_DEFINITIONS(-DPLUGIN_PATH="${CMAKE_BINARY_DIR}/src")
ADD_DEFINITIONS(-DTESTS_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}")

# ROBOPTIM_CORE_TEST(NAME)
# ------------------------
#
# Define a test named `NAME'.
#
# This macro will create a binary from `NAME.cc', link it against
# Boost and add it to the test suite.
#
MACRO(ROBOPTIM_CORE_TEST NAME)
  ADD_EXECUTABLE(${NAME} ${NAME}.cc)
  ADD_TEST(${NAME} ${CHECK_PREFIX} ${CMAKE_CURRENT_BINARY_DIR}/${NAME})

  TARGET_LINK_LIBRARIES(${NAME} roboptim-core)
  PKG_CONFIG_USE_DEPENDENCY(${NAME} eigen3)

  # Link against Boost.
  TARGET_LINK_LIBRARIES(${NAME} ${Boost_LIBRARIES})
ENDMACRO(ROBOPTIM_CORE_TEST)


# simple
# Link the dummy solver with this test to bypass the plug-in system.
ADD_EXECUTABLE(simple
  ${COMMON_HEADERS}
  simple.cc
  ${CMAKE_SOURCE_DIR}/src/dummy.cc)
TARGET_LINK_LIBRARIES(simple roboptim-core ${Boost_LIBRARIES})

# Basic types.
ROBOPTIM_CORE_TEST(interval)
ROBOPTIM_CORE_TEST(util)
ROBOPTIM_CORE_TEST(result)
ROBOPTIM_CORE_TEST(function)
ROBOPTIM_CORE_TEST(derivable-function)
ROBOPTIM_CORE_TEST(twice-derivable-function)
ROBOPTIM_CORE_TEST(quadratic-function)
ROBOPTIM_CORE_TEST(linear-function)
ROBOPTIM_CORE_TEST(problem-cc)
ROBOPTIM_CORE_TEST(numeric-linear-function)
ROBOPTIM_CORE_TEST(numeric-quadratic-function)
ROBOPTIM_CORE_TEST(n-times-derivable-function)
ROBOPTIM_CORE_TEST(parametrized-function)
ROBOPTIM_CORE_TEST(derivable-parametrized-function)

# Dynamic loading mechanism.
ROBOPTIM_CORE_TEST(plugin)

# Dynamic loading mechanism with solver's last state
ROBOPTIM_CORE_TEST(plugin-laststate)

# Algorithm.
ROBOPTIM_CORE_TEST(finite-difference-gradient)

# Built-in mathematical functions.
ROBOPTIM_CORE_TEST(identity-function)
ROBOPTIM_CORE_TEST(constant-function)

ROBOPTIM_CORE_TEST(cached-function)
ROBOPTIM_CORE_TEST(split)

# Visualization
ROBOPTIM_CORE_TEST(visualization-gnuplot-simple)

# visualization-gnuplot-function
ROBOPTIM_CORE_TEST(visualization-gnuplot-function)

# visualization-gnuplot-differentiable-function
ROBOPTIM_CORE_TEST(visualization-gnuplot-differentiable-function)

=== tests/shared-tests/CMakeLists.txt ===
# Copyright 2013, Thomas Moulard, CNRS-AIST JRL.
#
# This file is part of roboptim-core.
# roboptim-core is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# roboptim-core is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Lesser Public License for more details.
# You should have received a copy of the GNU Lesser General Public License
# along with roboptim-core.  If not, see <http://www.gnu.org/licenses/>.

IF(SOLVER_NAME)
ELSE()
  MESSAGE(FATAL_ERROR "require SOLVER_NAME to be set")
ENDIF()

IF(PLUGIN_PATH)
ELSE()
  MESSAGE(FATAL_ERROR "require PLUGIN_PATH to be set")
ENDIF()

IF(FUNCTION_TYPE)
ELSE()
  MESSAGE(FATAL_ERROR "require FUNCTION_TYPE to be set")
ENDIF()

IF(COST_FUNCTION_TYPE)
ELSE()
  MESSAGE(FATAL_ERROR "require COST_FUNCTION_TYPE to be set")
ENDIF()

IF(DEFINED CONSTRAINT_TYPE_1)
ELSE()
  MESSAGE(FATAL_ERROR "require CONSTRAINT_TYPE_1 to be set")
ENDIF()

IF(DEFINED CONSTRAINT_TYPE_2)
ELSE()
  MESSAGE(FATAL_ERROR "require CONSTRAINT_TYPE_2 to be set")
ENDIF()

IF(CONSTRAINT_TYPE_1)
  SET(CONSTRAINT_TYPE_1_STR "-DCONSTRAINT_TYPE_1=${CONSTRAINT_TYPE_1}")
ELSE()
  SET(CONSTRAINT_TYPE_1_STR "")
ENDIF()

IF(CONSTRAINT_TYPE_2)
  SET(CONSTRAINT_TYPE_2_STR "-DCONSTRAINT_TYPE_2=${CONSTRAINT_TYPE_2}")
ELSE()
  SET(CONSTRAINT_TYPE_2_STR "")
ENDIF()

# Add Boost path to include directories.
INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIRS})

# Make Boost.Test generates the main function in test cases.
ADD_DEFINITIONS(-DBOOST_TEST_DYN_LINK -DBOOST_TEST_MAIN)

# Add current directory to include directories.
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/shared-tests)

# BUILD_TEST(NAME)
# ----------------
#
# Define a test named `NAME'.
#
# This macro will create a binary from `NAME.cc', link it against
# Boost and add it to the test suite.
#
MACRO(BUILD_TEST NAME)
  ADD_EXECUTABLE(${NAME}${PROGRAM_SUFFIX}
    shared-tests/schittkowski/${NAME}.cc)

  SET_TARGET_PROPERTIES(${NAME}${PROGRAM_SUFFIX}
    PROPERTIES COMPILE_FLAGS
    "-DSOLVER_NAME='\"${SOLVER_NAME}\"' -DPLUGIN_PATH='\"${PLUGIN_PATH}\"' -DFUNCTION_TYPE=${FUNCTION_TYPE} -DCOST_FUNCTION_TYPE=${COST_FUNCTION_TYPE} ${CONSTRAINT_TYPE_1_STR} ${CONSTRAINT_TYPE_2_STR} -DTESTS_DATA_DIR='\"${CMAKE_CURRENT_SOURCE_DIR}\"' ")

  ADD_TEST(${NAME}${PROGRAM_SUFFIX}
    ${RUNTIME_OUTPUT_DIRECTORY}/${NAME}${PROGRAM_SUFFIX})

  PKG_CONFIG_USE_DEPENDENCY(${NAME}${PROGRAM_SUFFIX} roboptim-core)

  # Link against Boost.
  TARGET_LINK_LIBRARIES(${NAME}${PROGRAM_SUFFIX} ${Boost_LIBRARIES})
ENDMACRO()

#BUILD_TEST (distance-to-sphere)

INCLUDE(${CMAKE_CURRENT_SOURCE_DIR}/shared-tests/schittkowski/CMakeLists.txt)

=== tests/shared-tests/schittkowski/CMakeLists.txt ===
# Copyright 2013, Thomas Moulard, CNRS-AIST JRL.
#
# This file is part of roboptim-core.
# roboptim-core is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# roboptim-core is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Lesser Public License for more details.
# You should have received a copy of the GNU Lesser General Public License
# along with roboptim-core.  If not, see <http://www.gnu.org/licenses/>.

IF(NOT DEFINED SCHITTKOWSKI_PROBLEMS)
  SET(SCHITTKOWSKI_PROBLEMS 1 2 3 4 71 71b)
ENDIF()

FOREACH(PROBLEM ${SCHITTKOWSKI_PROBLEMS})
  BUILD_TEST(problem_${PROBLEM})
ENDFOREACH()

=== debian/changelog ===
roboptim-core (2.0-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch to compile with new boost (Closes: #794554)
  * Update VCS-Browser in d/control to point to debian branch (Closes: #794414)
  * Changing B-D from liblog4cxx10-dev to liblog4cxx-dev" (Closes: #794416)
  * Bump S-V to 3.9.6 -- no changes required

 -- Tobias Frost <tobi@debian.org>  Tue, 04 Aug 2015 18:35:01 +0200

roboptim-core (2.0-7) unstable; urgency=medium

  * debian/control: add branch information to Vcs-Git field (Closes: #741852)
  * Disable output check in fragile tests (Closes: #751034, #741855)
  * debian/control: bump Standards-Version to 3.9.5
  * Update d/watch to check gpg signature

 -- Thomas Moulard <thomas.moulard@gmail.com>  Thu, 26 Jun 2014 11:10:52 +0900

roboptim-core (2.0-6) unstable; urgency=medium

  * Remove symbols file (Closes: #729671)
  * Update patches
  * Remove dependency toward pkg-kde-tools.
  * debian/watch: use GitHub release page

 -- Thomas Moulard <thomas.moulard@gmail.com>  Fri, 17 Jan 2014 18:00:53 +0900

roboptim-core (2.0-5) unstable; urgency=low

  * Update symbols for alpha and s390x.
  * Fix plugindir location for multiarch.
  * Improved watch file by Bart Martens <bartm@debian.org>.
  * Add autopkgtest support and test case.

 -- Thomas Moulard <thomas.moulard@gmail.com>  Mon, 10 Jun 2013 10:28:35 +0900

roboptim-core (2.0-4) unstable; urgency=low

  * Update symbols for amd64 armhf hurd-i386 i386 ia64 kfreebsd-amd64
  kfreebsd-i386 powerpc s390 s390x sparc (Closes: #709113).
  * Update patch to fix gcc-4.8 warnings (Closes: #709742).

 -- Thomas Moulard <thomas.moulard@gmail.com>  Sun, 26 May 2013 22:20:18 +0900

roboptim-core (2.0-3) unstable; urgency=low

  * Update symbols for the following architectures: amd64 armhf i386 ia64
  kfreebsd-amd64 kfreebsd-i386 powerpc s390 s390x sparc

 -- Thomas Moulard <thomas.moulard@gmail.com>  Mon, 20 May 2013 18:27:18 +0900

roboptim-core (2.0-2) unstable; urgency=low

  * Fix compilation on 32-bits architecture (Closes: #708604).
  * Remove hardening-wrapper.
  * Update symbols using pkgkde-getbuildlogs and pkgkde-symbolshelper.

 -- Thomas Moulard <thomas.moulard@gmail.com>  Mon, 20 May 2013 11:47:44 +0900

roboptim-core (2.0-1) unstable; urgency=low

  * Initial release (Closes: #705014)

 -- Thomas Moulard <thomas.moulard@gmail.com>  Tue, 09 Apr 2013 03:52:11 +0900

=== debian/control ===
Source: roboptim-core
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>
Section: libs
Priority: extra
Build-Depends: debhelper (>= 9),
               cmake,
	       pkg-config,
               doxygen,
               doxygen-latex,
	       libltdl-dev,
	       libeigen3-dev,
	       libboost-all-dev,
	       liblog4cxx-dev
Standards-Version: 3.9.6
Vcs-Browser: https://github.com/roboptim/roboptim-core/tree/debian
Vcs-Git: git://github.com/roboptim/roboptim-core.git -b debian
Homepage: http://www.roboptim.net/
XS-Testsuite: autopkgtest

Package: libroboptim-core-dev
Section: libdevel
Architecture: any
Depends: libltdl-dev,
	 libeigen3-dev,
	 libboost-all-dev,
	 liblog4cxx10-dev,
	 pkg-config,
	 libroboptim-core2 (= ${binary:Version}),
         ${misc:Depends}
Suggests: libroboptim-core-doc
Multi-Arch: same
Description: numerical optimization library - development files
 RobOptim is a set of packages designed to make robotics non-linear
 optimization problem easier to solve. It is composed of several
 packages which are focusing on different kind of problem related to
 robotics, especially humanoid robotics.
 .
 This package contains development files (headers and shared library
 symbolic link).

Package: libroboptim-core2
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: numerical optimization library
 RobOptim is a set of packages designed to make robotics non-linear
 optimization problem easier to solve. It is composed of several
 packages which are focusing on different kind of problem related to
 robotics, especially humanoid robotics.

Package: libroboptim-core2-plugin-base
Architecture: any
Multi-Arch: same
Depends: libroboptim-core2 (= ${binary:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Enhances: libroboptim-core2
Description: numerical optimization library - core plug-ins
 RobOptim is a set of packages designed to make robotics non-linear
 optimization problem easier to solve. It is composed of several
 packages which are focusing on different kind of problem related to
 robotics, especially humanoid robotics.
 .
 This package contains dummy plug-ins for demonstration and
 documentation purpose.

Package: libroboptim-core2-dbg
Architecture: any
Section: debug
Multi-Arch: same
Depends: libroboptim-core2 (= ${binary:Version}),
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: numerical optimization library - debugging symbols
 RobOptim is a set of packages designed to make robotics non-linear
 optimization problem easier to solve. It is composed of several
 packages which are focusing on different kind of problem related to
 robotics, especially humanoid robotics.
 .
 This package contains the debugging symbols for the shared libraries.

Package: libroboptim-core-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: numerical optimization library - documentation
 RobOptim is a set of packages designed to make robotics non-linear
 optimization problem easier to solve. It is composed of several
 packages which are focusing on different kind of problem related to
 robotics, especially humanoid robotics.
 .
 This package contains the Doxygen generated documentation.

=== debian/tests/control ===
Tests: build
Depends: libroboptim-core-dev, build-essential

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
pgpsigurlmangle=s/$/.asc/ \
https://www.github.com/roboptim/roboptim-core/releases/ \
(?:.*/|)roboptim-core(?:-|_|_v|\.|V|)(\d\S*)\.(?:tar\.(?:gz|bz2|xz)|tgz|tbz2|txz|zip)(?:|\?\S+)
